<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKFLOWS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKFLOWS}}"></span>
    </h2>
    <br />
    <form class="ui form" id="workflows-form" th:object="${workflow}" method="post">
      <input type="hidden" th:field="*{id}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 50, 
                                                                 placeholder = '',
                                                                 columnsize = 'sixteen wide'
                                                                 )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKFLOWS},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <h2 class="ui header">
        <i class="icon hand point right" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKFLOWSTRANSITION}}"></span>
      </h2>
      <div id="workflowtransitions-list" th:fragment="workflowtransitions-list">
        <table class="ui table" th:if="${not #lists.isEmpty(workflow.transitions)}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <thead>
            <tr>
              <th class="four wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_CURRENT_STATUS}}"></th>
              <th class="one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_INITIAL_STATUS}}"></th>
              <th class="one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_FINAL_STATUS}}"></th>
              <th class="four wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_NEXT_STATUS}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_INITIAL_STATUS}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_FINAL_STATUS}}"></th>
              <th class="two wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ORDER}}"></th>
              <th class="two wide"></th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="item : ${workflow.transitions}">
              <td th:text="${item.status.name}"></td>
              <td class="center aligned"><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${item.status.initialStatus}"></i> <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not item.status.initialStatus}"></i></td>
              <td class="center aligned"><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${item.status.finalStatus}"></i> <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not item.status.finalStatus}"></i></td>
              <td th:text="${item.nextStatus.name}"></td>
              <td class="center aligned"><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${item.nextStatus.initialStatus}"></i> <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not item.nextStatus.initialStatus}"></i></td>
              <td class="center aligned"><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${item.nextStatus.finalStatus}"></i> <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not item.nextStatus.finalStatus}"></i></td>
              <td class="center aligned" th:text="${item.order}"></td>
              <td class="center aligned"><i class="bordered pencil icon" th:onclick="'editWorkflowtransition(' + ${item.id} + ');' " th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i> <i class="bordered remove icon" th:onclick="'deleteworkflowtransition(' + ${item.id} + ');' " th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i></td>
            </tr>
          </tbody>
        </table>
      </div>
      <br />
      <div class="ui grid">
        <div class="right floated right aligned column">
          <a id="addTransition" class="ui labeled icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:onclick="'createworkflowtransition(' + ${workflow.id} + ');' ">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW}}"></span>
          </a>
        </div>
      </div>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
    <div th:replace="common/fragments/modal :: modal(medium,'')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKFLOWS_JS}}"></script>
</body>
</html>